Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Interface ILineDiffInfo

public interface ILineDiffInfo

Describes the change state of one line, which consists of the state of the line itself, which can be `UNCHANGED`, `CHANGED` or `ADDED`, and the number of deleted lines before and after this line.

This interface may be implemented by clients.

Since:
  3.0

Field Summary
`static int` | `ADDED` Denotes an added line.
`static int` | `CHANGED` Denotes a changed line.
`static int` | `UNCHANGED` Denotes an unchanged line.

Method Summary
`int` | `getChangeType()` Returns the type of this line, one out of `UNCHANGED`, `CHANGED` or `ADDED`.
`String[]` | `getOriginalText()` Returns the original text of this changed region
`int` | `getRemovedLinesAbove()` Returns the number of deleted lines before this line.
`int` | `getRemovedLinesBelow()` Returns the number of deleted lines after this line.
`boolean` | `hasChanges()` Returns whether this line has any changes (to itself, or any deletions before or after it).

Field Detail

### UNCHANGED

    public static final int UNCHANGED

  Denotes an unchanged line.

  See Also:
    Constant Field Values

### ADDED

    public static final int ADDED

  Denotes an added line.

  See Also:
    Constant Field Values

### CHANGED

    public static final int CHANGED

  Denotes a changed line.

  See Also:
    Constant Field Values

Method Detail

### getRemovedLinesBelow

    public int getRemovedLinesBelow()

  Returns the number of deleted lines after this line.

  Returns:
    the number of lines after this line.

### getRemovedLinesAbove

    public int getRemovedLinesAbove()

  Returns the number of deleted lines before this line.

  Returns:
    the number of lines before this line.

### getChangeType

    public int getChangeType()

  Returns the type of this line, one out of `UNCHANGED`, `CHANGED` or `ADDED`.

  Returns:
    the type of this line.

### hasChanges

    public boolean hasChanges()

  Returns whether this line has any changes (to itself, or any deletions before or after it).

  Returns:
    `true`, if the line's state (as returned by `getType`) is either `CHANGED` or `ADDED` or either of `getRemovedLinesBelow` and `getRemovedLinesAbove` would return a number > 0

### getOriginalText

    public String[] getOriginalText()

  Returns the original text of this changed region

  Returns:
    the original text of this changed region, including any deleted lines. The returned value and its elements may not be `null/code>, it may however be of zero length`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.